Airmanager 4.2 and Linux

Peer support for Air Manager desktop users

Moderators: russ, Ralph

Message
Author
hansle52
Posts: 21
Joined: Fri Mar 17, 2017 12:16 pm

Airmanager 4.2 and Linux

#1 Post by hansle52 »

Installing Airmanager 4.2 in Linux does not work.
I have 2 PCs with X-Plane 12. 1 PC with 3 monitors for the outside image and 1 PC with 1 monitor that is used with Airmanager for the instruments. Everything ran fine under 4.1. Unfortunately, installing 4.2 does not work. I cannot start airmanager via ./Bootloader. The messages are in the text file attached. I have also tried a clean install of both Linux Mint 21.2, 21.3 and Ubuntu 22.04 LTS. Unfortunately also the same messages. Can anyone tell me what I'm doing wrong and how I can fix it?
Attachments
airmanager.txt
(3.36 KiB) Downloaded 23 times

SimPassion
Posts: 5338
Joined: Thu Jul 27, 2017 12:22 am

Re: Airmanager 4.2 and Linux

#2 Post by SimPassion »

Hi Hans

I've extracted the useful info, it looks like the dependency lib for crypto is not accessible or not present on the system :

Code: Select all

Caused by: java.lang.UnsatisfiedLinkError: /home/hans/airmanager/libAppBase.so: libcrypto.so.1.1: cannot open shared object file: No such file or directory

SimPassion
Posts: 5338
Joined: Thu Jul 27, 2017 12:22 am

Re: Airmanager 4.2 and Linux

#3 Post by SimPassion »

In any case, did you followed step #1 through #3 for Linux install ?
https://siminnovations.com/wiki/index.p ... tion#Linux

SimPassion
Posts: 5338
Joined: Thu Jul 27, 2017 12:22 am

Re: Airmanager 4.2 and Linux

#4 Post by SimPassion »

It looks like there's no issue on my side with debian 1170

image.png
image.png

SimPassion
Posts: 5338
Joined: Thu Jul 27, 2017 12:22 am

Re: Airmanager 4.2 and Linux

#5 Post by SimPassion »

image.png

User avatar
Ralph
Posts: 7915
Joined: Tue Oct 27, 2015 7:02 pm
Location: De Steeg
Contact:

Re: Airmanager 4.2 and Linux

#6 Post by Ralph »

From our Linux guru Jasper:

A possible fix (from https://forums.linuxmint.com/viewtopic.php?t=385941):

take it from here

http://archive.ubuntu.com/ubuntu/pool/m ... _amd64.deb
and install it

sudo dpkg -i libssl-dev_1.1.0g-2ubuntu4_amd64.deb
but may try more recent version

http://archive.ubuntu.com/ubuntu/pool/m ... _amd64.deb
Location for all versions:
https://packages.ubuntu.com/focal-updat ... 1/download

hansle52
Posts: 21
Joined: Fri Mar 17, 2017 12:16 pm

Re: Airmanager 4.2 and Linux

#7 Post by hansle52 »

Fantastic,
It works again.
I removed all references to Airmanager, cleaned and updated the Linux Mint system, reinstalled Airmanager and implemented the Jasper options suggested by Ralph.
Thank you very much for the fast service.

hansle52
Posts: 21
Joined: Fri Mar 17, 2017 12:16 pm

Re: Airmanager 4.2 and Linux

#8 Post by hansle52 »

Unfortunately, a new problem has arisen. AirManager starts up, but after a while the program stops and I get an error message that there is a fatal error in Java.
I have attached the log file.
Attachments
hs_err_pid10778.log
(312.51 KiB) Downloaded 19 times

User avatar
Ralph
Posts: 7915
Joined: Tue Oct 27, 2015 7:02 pm
Location: De Steeg
Contact:

Re: Airmanager 4.2 and Linux

#9 Post by Ralph »

My colleague looked at the log, but there's nothing useful in there.
At what point does it crash and can you (easily) reproduce it?

hansle52
Posts: 21
Joined: Fri Mar 17, 2017 12:16 pm

Re: Airmanager 4.2 and Linux

#10 Post by hansle52 »

Since I installed Air Manager 4.2.2, I start up X-Plane 12 with the Beechcraft Baron B58 as default aircraft, the premium panel of the Baron B58 with the GNS530 instrument. When I go back to the Air Manager home screen, Air Manager freezes.
When I only start Air Manager with this panel and X-Plane 12 is not running, Air Manager continues to work normally.
It seems to be in the combination of X-Plane 12, Air Manager and the video stream with the GNS530..
When loading Air Manager, I also regularly receive a message that there is a new plugin. I install this by pressing Download. This message recurs regularly. Under plugins at X-Plane 12 it says that I have Pluign 4.1

Post Reply